# DeviceVersioningInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceVersioningInfo](/hybrid/start/api/system/wisej.hybrid.deviceversioninginfo.md)

Provides information about the application version.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceVersioningInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceVersioningInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceVersioningInfo()

Creates a new instance of [DeviceVersioningInfo](/hybrid/start/api/system/wisej.hybrid.deviceversioninginfo.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)BuildHistory

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): Gets the collection of build numbers of the app that ran on this device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)CurrentBuild

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the current build of the app.

### ![](/files/CCV9PPenlC1YZvNh1I6R)CurrentVersion

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the current version number of the app.

### ![](/files/CCV9PPenlC1YZvNh1I6R)FirstInstalledBuild

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the build number of first version of the app that was installed on this device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)FirstInstalledVersion

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the version number of the first version of the app that was installed on this device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsFirstLaunchEver

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether this is the first time this app has ever been launched on this device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsFirstLaunchForCurrentBuild

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating if this is the first launch of the app for the current build number.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsFirstLaunchForCurrentVersion

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating if this is the first launch of the app for the current version number.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PreviousBuild

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the build number for the previously run version.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PreviousVersion

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the version number for the previously run version.

### ![](/files/CCV9PPenlC1YZvNh1I6R)VersionHistory

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): Gets the collection of version numbers of the app that ran on this device.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Populates and updates [DeviceVersioningInfo](/hybrid/start/api/system/wisej.hybrid.deviceversioninginfo.md) with device information.

| Parameter | Type                                                          | Description              |
| --------- | ------------------------------------------------------------- | ------------------------ |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The dynamic info object. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/system/wisej.hybrid.deviceversioninginfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
